<p id="comment_<% comment.id %>">
  <strong><%= comment.title %></strong>
  |
  <% if !comment.user_id.nil? and !User.find(comment.user_id).nil? %>
    <%= User.find(comment.user_id).name  %>
  <% else %>
    Anonymous user
  <% end  %>
  |
  <%= comment.created_at %>
  |
  <% if comment.user_id == current_user.id or @post.user_id == current_user.id%> |
    <%= link_to 'Delete comment', [comment.post, comment],
                method: :delete,
                data: { confirm: 'Are you sure?' } %>
  <% end  %>
</p>

<p>
  <%= comment.content %>
</p>

<%if @post.user_id == current_user.id%>
 <%= button_to "Allow", {:controller => "comments", action: "approve", id: comment.id }, method: :post %>
<% end  %>
